/* 
 *  SessionRequest.java
 * 
 *  Copyright 2016 Avaya Inc. All Rights Reserved.
 * 
 *  Usage of this source is bound to the terms described
 *  in AvayaLicenseSDK.rtf.
 * 
 *  Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 *  or Avaya Policy
 * 
 */
package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;
import com.avaya.ccs.api.SessionI;

/**
 * This class is a base class for Session requests as well as being a base class
 * for all other requests which require a session.
 */
public abstract class SessionRequest extends Request {

    public SessionRequest(Logger LOG) {
        super(LOG);
    }

    public SessionI getSession() {
        return getClient().getSession();
    }

}
